<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>m17n ライブラリ: はじめに</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- 作成： Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'検索');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>メインページ</span></a></li>
      <li><a href="pages.html"><span>関連ページ</span></a></li>
      <li><a href="modules.html"><span>モジュール</span></a></li>
      <li><a href="annotated.html"><span>データ構造</span></a></li>
      <li><a href="files.html"><span>ファイル</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="検索" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>はじめに</h1>
<p>m17n ライブラリ イントロダクション.  
<a href="#_details">[詳細]</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>マクロ定義</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nIntro.html#ga0bb2c80bb44a39bb6d2e7f246b893cf9">M17NLIB_MAJOR_VERSION</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nIntro.html#ga30386256d85c673b21dc7e4990d4f53f">M17NLIB_MINOR_VERSION</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nIntro.html#ga33c37ac083c27a0d834f6fce1b6a7c76">M17NLIB_PATCH_LEVEL</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nIntro.html#ga8143c39bc8257c002d13e7cc5c498702">M17NLIB_VERSION_NAME</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nIntro.html#ga66879b35a1fee08b3e5966f6650c39f9">M17N_INIT</a>()</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">m17n ライブラリを初期化する.  <a href="#ga66879b35a1fee08b3e5966f6650c39f9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nIntro.html#gac1e2228145ac9d98c6cf4fea8e9d84d4">M17N_FINI</a>()</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">m17n ライブラリを終了する.  <a href="#gac1e2228145ac9d98c6cf4fea8e9d84d4"></a><br/></td></tr>
<tr><td colspan="2"><h2>列挙型</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nIntro.html#ga125db47b369b888304cc730c33f151ef">M17NStatus</a> { <br/>
&nbsp;&nbsp;<a class="el" href="group__m17nIntro.html#gga125db47b369b888304cc730c33f151efa04ee75d2e02324a10cb333314ac9aacb">M17N_NOT_INITIALIZED</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nIntro.html#gga125db47b369b888304cc730c33f151efa569a2b57072e5f2bf261f32f359db8ef">M17N_CORE_INITIALIZED</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nIntro.html#gga125db47b369b888304cc730c33f151efa237d09431c2c46c75dfab565202f3a2f">M17N_SHELL_INITIALIZED</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nIntro.html#gga125db47b369b888304cc730c33f151efade2a2f2cae9b2ad51d8550ebe648c04c">M17N_GUI_INITIALIZED</a>
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><p>m17n ライブラリの状態を示す列挙型. </p>
 <a href="group__m17nIntro.html#ga125db47b369b888304cc730c33f151ef">[詳細]</a><br/></td></tr>
<tr><td colspan="2"><h2>関数</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum <a class="el" href="group__m17nIntro.html#ga125db47b369b888304cc730c33f151ef">M17NStatus</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nIntro.html#ga110edaa8687756f814b5b086e73b99a0">m17n_status</a> (void)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">m17n ライブラリのどの部分が初期化されたか報告する.  <a href="#ga110edaa8687756f814b5b086e73b99a0"></a><br/></td></tr>
</table>
<hr/><a name="_details"></a><h2>説明</h2>
<p>m17n ライブラリ イントロダクション. </p>
<p><em>APIのレベル</em> </p>
<p>m17n ライブラリの API は以下の４種に分類されている。</p>
<ol>
<li>
<p class="startli">コア API</p>
<p>M-text を扱うための基本的なモジュールを提供する。 この API を利用するためには、アプリケーションプログラムは &lt;m17n-core<em></em>.h&gt; を include し、 -lm17n-core でリンクされなくてはならない。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">シェル API</p>
<p>文字プロパティ、文字集合操作、コード変換等のためのモジュールを提供する。 これらのモジュールは、データベースから必要に応じて多様なデータをロードする。 この API を利用するためには、アプリケーションプログラムは &lt;m17n<em></em>.h&gt; を include し、 -lm17n-core -lm17n でリンクされなくてはならない。</p>
<p>この API を使用すれば、コア API も自動的に使用可能となる。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">FLT API</p>
<p>文字列表示に <a class="el" href="m17nDBFormat.html#mdbFLT">フォントレイアウトテーブル</a> を用いるモジュールを提供する。この API を利用するためには、アプリケーションプログラムは &lt;m17n<em></em>.h&gt; を include し、 -lm17n-core -lm17n-flt でリンクされなくてはならない。</p>
<p>この API を使用すれば、コア API も自動的に使用可能となる。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">GUI API</p>
<p>グラフィックデバイス上で M-text を表示したり入力したりするための GUI モジュールを提供する。この API 自体はグラフィックデバイスとは独立であるが、 多くの関数は特定のグラフィックデバイス用に作成された MFrame を引数に取る。 現時点でサポートされているグラフィックデバイスは、ヌルデバイス、X ウィンドウシステム、および GD ライブラリのイメージデータ (gdImagePtr) である。</p>
<p>ヌルデバイスのフレーム上では表示も入力もできない。ただし <a class="el" href="group__m17nDraw.html#ga5ad6646874580721d879c82a8a5dbafc" title="グリフ列に関する情報を計算する.">mdraw_glyph_list()</a> などの関数は使用可能である。</p>
<p>X ウィンドウシステムのフレーム上ではすべての GUI API が使用できる。</p>
<p>GD ライブラリのフレーム上では、描画用の API はすべて使用できるが、入力はできない。</p>
<p>この API を使用するためには、アプリケーションプログラムは &lt;m17n-gui<em></em>.h&gt; を include し、-lm17n-core -lm17n -lm17n-gui でリンクされなくてはならない。</p>
<p>この API を使用すれば、コア API、シェル API、および FLT API も自動的に使用可能となる。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">その他の API</p>
<p>エラー処理、デバッグ用のその他の関数を提供する。この API はそれだけでは使用できず、上記の他の API と共に使う。利用するためには、上記のいずれかのinclude ファイルに加えて、 &lt;m17n-misc<em></em>.h&gt; をinclude しなくてはならない。</p>
<p class="endli"></p>
</li>
</ol>
<p><a class="el" href="m17n-config.html">m17n-config(1)</a> 節も参照。</p>
<p><em>環境変数</em> </p>
<p>m17n ライブラリは以下の環境変数を参照する。</p>
<ul>
<li>
<p class="startli"><code>M17NDIR</code> </p>
<p>m17n データベースのデータを格納したディレクトリの名前。詳細は <a class="el" href="group__m17nDatabase.html">データベース</a> 参照。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli"><code>MDEBUG_XXX</code> </p>
<p>"MDEBUG_" で始まる名前を持つ環境変数はデバッグ情報の出力を制御する。 詳細は <a class="el" href="group__m17nDebug.html">デバッグサポート</a> 参照。</p>
<p class="endli"></p>
</li>
</ul>
<p><em>API</em> <em>の命名規則</em> </p>
<p>m17n ライブラリは、関数、変数、マクロ、型を export する。それらは 'm' または 'M' のあとにオブジェクト名 ("symbol"、"plist" など) またはモジュール名 (draw, input など) を続けたものである。 M-text オブジェクトの名前は "mmtext" ではなくて "mtext" で始まることに注意。</p>
<ul>
<li>
<p class="startli">関数 -- mobject() または mobject_xxx()</p>
<p>'m' のあとに小文字でオブジェクト名が続く。単語間は '_' で区切られる。たとえば、msymbol(), <a class="el" href="group__m17nMtext.html#ga29fd21f8bd3b80a09628ea2dc62db3e5" title="M-text 中の指定された位置の文字を返す.">mtext_ref_char()</a>, <a class="el" href="group__m17nDraw.html#ga02f9efd2c5d1bdd9d7a6ab18475bbd08" title="ウィンドウに M-text を描画する.">mdraw_text()</a> など。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">シンボルでない変数 -- mobject, または mobject_xxx</p>
<p>関数と同じ命名規則に従う。たとえば mface_large など。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">シンボル変数 -- Mname</p>
<p>MSymbol 型変数は、'M' の後に名前が続く。単語間は '_' で区切られる。たとえば Mlanguage (名前は "language"), Miso_2022 (名前は"iso-2022") など。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">マクロ -- MOBJECT_XXX</p>
<p>'M' の後に大文字でオブジェクト名が続く。単語間は '_' で区切られる。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">タイプ -- MObject または MObjectXxx</p>
<p>'M' の後に大文字で始まるオブジェクト名が続く。単語は連続して書かれ、 '_' は用いられない。たとえば <a class="el" href="structMConverter.html" title="コード変換に用いられる構造体.">MConverter</a>, <a class="el" href="structMInputDriver.html" title="入力ドライバ用構造体.">MInputDriver</a> など。</p>
<p class="endli"></p>
</li>
</ul>
<hr/><h2>マクロ定義</h2>
<a class="anchor" id="ga0bb2c80bb44a39bb6d2e7f246b893cf9"></a><!-- doxytag: member="m17n&#45;core.c::M17NLIB_MAJOR_VERSION" ref="ga0bb2c80bb44a39bb6d2e7f246b893cf9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define M17NLIB_MAJOR_VERSION</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>マクロ <a class="el" href="group__m17nIntro.html#ga0bb2c80bb44a39bb6d2e7f246b893cf9">M17NLIB_MAJOR_VERSION</a> は m17n ライブラリのメジャーバージョン番号を与える. </p>

</div>
</div>
<a class="anchor" id="ga30386256d85c673b21dc7e4990d4f53f"></a><!-- doxytag: member="m17n&#45;core.c::M17NLIB_MINOR_VERSION" ref="ga30386256d85c673b21dc7e4990d4f53f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define M17NLIB_MINOR_VERSION</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>マクロ <a class="el" href="group__m17nIntro.html#ga30386256d85c673b21dc7e4990d4f53f">M17NLIB_MINOR_VERSION</a> は m17n ライブラリのマイナーバージョン番号を与える. </p>

</div>
</div>
<a class="anchor" id="ga33c37ac083c27a0d834f6fce1b6a7c76"></a><!-- doxytag: member="m17n&#45;core.c::M17NLIB_PATCH_LEVEL" ref="ga33c37ac083c27a0d834f6fce1b6a7c76" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define M17NLIB_PATCH_LEVEL</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>マクロ <a class="el" href="group__m17nIntro.html#ga33c37ac083c27a0d834f6fce1b6a7c76">M17NLIB_PATCH_LEVEL</a> は m17n ライブラリのパッチレベル番号を与える. </p>

</div>
</div>
<a class="anchor" id="ga8143c39bc8257c002d13e7cc5c498702"></a><!-- doxytag: member="m17n&#45;core.c::M17NLIB_VERSION_NAME" ref="ga8143c39bc8257c002d13e7cc5c498702" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define M17NLIB_VERSION_NAME</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>マクロ <a class="el" href="group__m17nIntro.html#ga8143c39bc8257c002d13e7cc5c498702">M17NLIB_VERSION_NAME</a> は m17n ライブラリのバージョン名を文字列として与える. </p>

</div>
</div>
<a class="anchor" id="ga66879b35a1fee08b3e5966f6650c39f9"></a><!-- doxytag: member="m17n&#45;core.c::M17N_INIT" ref="ga66879b35a1fee08b3e5966f6650c39f9" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define M17N_INIT</td>
          <td>(</td>
&nbsp;</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>m17n ライブラリを初期化する. </p>
<p>マクロ <a class="el" href="group__m17nIntro.html#ga66879b35a1fee08b3e5966f6650c39f9" title="m17n ライブラリを初期化する.">M17N_INIT()</a> は m17n ライブラリを初期化する。m17n の関数を利用する前に、このマクロをまず呼ばなくてはならない。</p>
<p>このマクロを複数回呼んでも安全であるが、その場合メモリを解放するためにマクロ <a class="el" href="group__m17nIntro.html#gac1e2228145ac9d98c6cf4fea8e9d84d4" title="m17n ライブラリを終了する.">M17N_FINI()</a> を同じ回数呼ぶ必要がある。</p>
<p>外部変数 <a class="el" href="group__m17nError.html#ga995a2e373cfd6a8e5eaca8686b5b0a73" title="m17n ライブラリのエラーコードを保持する外部変数.">merror_code</a> は、初期化が成功すれば 0 に、そうでなければ -1 に設定される。</p>
<dl class="user"><dt><b>参照:</b></dt><dd><a class="el" href="group__m17nIntro.html#gac1e2228145ac9d98c6cf4fea8e9d84d4" title="m17n ライブラリを終了する.">M17N_FINI()</a>, <a class="el" href="group__m17nIntro.html#ga110edaa8687756f814b5b086e73b99a0" title="m17n ライブラリのどの部分が初期化されたか報告する.">m17n_status()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="gac1e2228145ac9d98c6cf4fea8e9d84d4"></a><!-- doxytag: member="m17n&#45;core.c::M17N_FINI" ref="gac1e2228145ac9d98c6cf4fea8e9d84d4" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define M17N_FINI</td>
          <td>(</td>
&nbsp;</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>m17n ライブラリを終了する. </p>
<p>マクロ <a class="el" href="group__m17nIntro.html#gac1e2228145ac9d98c6cf4fea8e9d84d4" title="m17n ライブラリを終了する.">M17N_FINI()</a> は m17n ライブラリを終了する。m17n ライブラリが使った全てのメモリ領域は解放される。一度このマクロが呼ばれたら、マクロ <a class="el" href="group__m17nIntro.html#ga66879b35a1fee08b3e5966f6650c39f9" title="m17n ライブラリを初期化する.">M17N_INIT()</a> が再度呼ばれるまで m17n 関数は使うべきでない。</p>
<p>マクロ <a class="el" href="group__m17nIntro.html#ga66879b35a1fee08b3e5966f6650c39f9" title="m17n ライブラリを初期化する.">M17N_INIT()</a> が N 回呼ばれていた場合には、このマクロが N 回呼ばれて初めてメモリが解放される。</p>
<dl class="user"><dt><b>参照:</b></dt><dd><a class="el" href="group__m17nIntro.html#ga66879b35a1fee08b3e5966f6650c39f9" title="m17n ライブラリを初期化する.">M17N_INIT()</a>, <a class="el" href="group__m17nIntro.html#ga110edaa8687756f814b5b086e73b99a0" title="m17n ライブラリのどの部分が初期化されたか報告する.">m17n_status()</a> </dd></dl>

</div>
</div>
<hr/><h2>列挙型</h2>
<a class="anchor" id="ga125db47b369b888304cc730c33f151ef"></a><!-- doxytag: member="m17n&#45;core.h::M17NStatus" ref="ga125db47b369b888304cc730c33f151ef" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__m17nIntro.html#ga125db47b369b888304cc730c33f151ef">M17NStatus</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>m17n ライブラリの状態を示す列挙型. </p>
<p>列挙型 <a class="el" href="group__m17nIntro.html#ga125db47b369b888304cc730c33f151ef" title="m17n ライブラリの状態を示す列挙型.">M17NStatus</a> は関数 <a class="el" href="group__m17nIntro.html#ga110edaa8687756f814b5b086e73b99a0" title="m17n ライブラリのどの部分が初期化されたか報告する.">m17n_status()</a> の戻り値として用いられる。 </p>
<dl><dt><b>列挙型の値: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="gga125db47b369b888304cc730c33f151efa04ee75d2e02324a10cb333314ac9aacb"></a><!-- doxytag: member="M17N_NOT_INITIALIZED" ref="gga125db47b369b888304cc730c33f151efa04ee75d2e02324a10cb333314ac9aacb" args="" -->M17N_NOT_INITIALIZED</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga125db47b369b888304cc730c33f151efa569a2b57072e5f2bf261f32f359db8ef"></a><!-- doxytag: member="M17N_CORE_INITIALIZED" ref="gga125db47b369b888304cc730c33f151efa569a2b57072e5f2bf261f32f359db8ef" args="" -->M17N_CORE_INITIALIZED</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga125db47b369b888304cc730c33f151efa237d09431c2c46c75dfab565202f3a2f"></a><!-- doxytag: member="M17N_SHELL_INITIALIZED" ref="gga125db47b369b888304cc730c33f151efa237d09431c2c46c75dfab565202f3a2f" args="" -->M17N_SHELL_INITIALIZED</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga125db47b369b888304cc730c33f151efade2a2f2cae9b2ad51d8550ebe648c04c"></a><!-- doxytag: member="M17N_GUI_INITIALIZED" ref="gga125db47b369b888304cc730c33f151efade2a2f2cae9b2ad51d8550ebe648c04c" args="" -->M17N_GUI_INITIALIZED</em>&nbsp;</td><td>
</td></tr>
</table>
</dd>
</dl>

</div>
</div>
<hr/><h2>関数</h2>
<a class="anchor" id="ga110edaa8687756f814b5b086e73b99a0"></a><!-- doxytag: member="m17n&#45;core.c::m17n_status" ref="ga110edaa8687756f814b5b086e73b99a0" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__m17nIntro.html#ga125db47b369b888304cc730c33f151ef">M17NStatus</a> m17n_status </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>m17n ライブラリのどの部分が初期化されたか報告する. </p>
<p>関数 <a class="el" href="group__m17nIntro.html#ga110edaa8687756f814b5b086e73b99a0" title="m17n ライブラリのどの部分が初期化されたか報告する.">m17n_status()</a> は m17n ライブラリのどの部分が初期化されたかに応じて、以下の値のいずれかを返す。</p>
<p><a class="el" href="group__m17nIntro.html#gga125db47b369b888304cc730c33f151efa04ee75d2e02324a10cb333314ac9aacb">M17N_NOT_INITIALIZED</a>, <a class="el" href="group__m17nIntro.html#gga125db47b369b888304cc730c33f151efa569a2b57072e5f2bf261f32f359db8ef">M17N_CORE_INITIALIZED</a>, <a class="el" href="group__m17nIntro.html#gga125db47b369b888304cc730c33f151efa237d09431c2c46c75dfab565202f3a2f">M17N_SHELL_INITIALIZED</a>, <a class="el" href="group__m17nIntro.html#gga125db47b369b888304cc730c33f151efade2a2f2cae9b2ad51d8550ebe648c04c">M17N_GUI_INITIALIZED</a> </p>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>全て</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>データ構造</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>ファイル</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>関数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>変数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>型定義</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>列挙型</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>列挙型の値</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>マクロ定義</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<!-- -*- coding: utf-8; -*- -->
<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-ja/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
